Core - Task # 41271

Task # 37081 (Resolved): Remove deprecated functions

Status: Closed Priority: Must have

Author: Georg Ringer Category: Code Cleanup

Created: 2012-09-22 Assigned To: Georg Ringer

Updated: 2013-03-19 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Deprecated function used: returnFilemounts() - since TYPO3 6.0, will be removed in TYPO3 6.1
Description

22-09-12 23:43: TYPO3\CMS\Core\Authentication\BackendUserAuthentication->returnFilemounts() - since TYPOS 6.0, will be
removed in TYPO3 6.1 as getFileStorages() should be the one to be used -
require(typo3\init.php),typo3\sysexticms\layout\db_layout.php#39 //
TYPO3\CMS\Core\Core\Bootstrap->initializeBackendUserMounts#100 //
TYPO3\CMS\Core\Authentication\BackendUserAuthentication->returnFilemounts#784 //
TYPO3\CMS\Core\Utility\GeneralUtility::logDeprecatedFunction#1851
(typo3\sysext\core\Classes\Authentication\BackendUserAuthentication.php#1850)
Related issues:
related to Core - Bug # 36405: usage of deprecated function returnFilemounts() Resolved 2012-04-21

History

#1 - 2012-09-23 00:09 - Georg Ringer
- Parent task set to #37081

#2 - 2012-12-02 19:26 - Stefan Neufeind

Georg, | think this issue is about a deprecated function being used while #37081 you assigned as a parent is about removing code that is no longer

used anymore. Could that be?

#3 - 2012-12-02 19:35 - Stefan Neufeind

confirmed with 6.0 final

#4 - 2013-03-19 21:37 - Christian Kuhn

- Status changed from Accepted to Closed

Resolved with #36405
